summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-i18n')
-rw-r--r--app-i18n/fcitx/Manifest1
-rw-r--r--app-i18n/fcitx/fcitx-4.2.9.6.ebuild150
2 files changed, 151 insertions, 0 deletions
diff --git a/app-i18n/fcitx/Manifest b/app-i18n/fcitx/Manifest
index dff7b4aee84..e86b0c4a519 100644
--- a/app-i18n/fcitx/Manifest
+++ b/app-i18n/fcitx/Manifest
@@ -1,5 +1,6 @@
DIST fcitx-4.2.9.4_dict.tar.xz 8731804 BLAKE2B 8363d7908cb68b9da3c71c2bea237dbad20740e4f9b07a1b5625c5228aab09e1c5c86134fce681dcaaaaf2cdc570b7701a23ca6e1c01d09117133fd07f4d8b7a SHA512 2e8ead59a154a857dfc011af83715dbe1225cbccf1e2c6ced1d9aaf92a7881f89fbe806da3c66ed1805cf27994c91a2d463c455be726b7d4b73c07bfde83972b
DIST fcitx-4.2.9.5_dict.tar.xz 8736972 BLAKE2B 01255554aa0caf5e4f638121febcf0951549d5752884dd436c90042587048598724b91d4839ff2470e8b9ee119f0abb40650c45fd8253ae1bd74608812c84a1d SHA512 5e2ec5405b01fe85b1659b1db3e15389b0d7e096808db598d0865381bcb8f6de960e8e16d4432c95c586cfc3359d17d4f7bad0cff2fe0146fe00b9fb80491168
+DIST fcitx-4.2.9.6_dict.tar.xz 8738408 BLAKE2B 812256657ef8f6648a8a3de4bef4e423288ee3d91d493783eae2cb55b5b5964a791f3317af1aea0d877e01ea06491c34f6c594038d27713be3a6b35c93bc5545 SHA512 dc8308d1a4e9b7595da285ca6521f33027f5b8e6968bc28f751bd4f40116166cabbe1c05e29072afbe88473d2a9d6999124476260785e07f62a243df6e896bb0
DIST fcitx-data-en_dict-20121020.tar.gz 630491 BLAKE2B 2df897b1c9fb3a2ce186ee590e5f3ccbc7930f047218bf0fefa317f74b3287fc0be9c393d3310fe07208379118ec4c46608a1c703ef37b3aee65b2d790cb7f0d SHA512 8418bd02492bfd786c0fab93be4400ef027ec8e9fac02220cc1f653f5eb67f54573a6a84a15baba19bb34ab892745c87df16499d6304ea75009131e2ab3b97f2
DIST fcitx-data-pinyin.tar.gz 1608886 BLAKE2B 3b7e72559bb838b4f2245e6faf2d627df17e9383ef8fe382e10333c1a95d79409ec042caa7d77c9bcd956b1c5d5456dab9d82208cd89d90e2be759c76f56f3d1 SHA512 1ee19eed3ee58be6cd6562ec363fe3bf630fff5e8820b3bfdd6d4618fceb082695e888dec5366a3685d58706f720e19319d891c223227237aed12674ea982131
DIST fcitx-data-py_stroke-20121124.tar.gz 445601 BLAKE2B 43b29b30da11b18196918e4df847406871eff75595b62608ad86b0ef6de83ec5e1b722645cabb809281075b393b5970e4d9580594caa73060c866c2d3cd988e7 SHA512 d80ff9a3549e07c7a6935e686785f9a076c58f1a782a832ae28ee65e2a213d67f089f450ce09bed87ec2a141c32b9c1fcb83c221ddcab436858fa9009f161fb3
diff --git a/app-i18n/fcitx/fcitx-4.2.9.6.ebuild b/app-i18n/fcitx/fcitx-4.2.9.6.ebuild
new file mode 100644
index 00000000000..fea4e912925
--- /dev/null
+++ b/app-i18n/fcitx/fcitx-4.2.9.6.ebuild
@@ -0,0 +1,150 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit cmake-utils gnome2-utils xdg-utils
+
+if [[ "${PV}" =~ (^|\.)9999$ ]]; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/fcitx/fcitx"
+fi
+
+DESCRIPTION="Fcitx (Flexible Context-aware Input Tool with eXtension) input method framework"
+HOMEPAGE="https://fcitx-im.org/ https://github.com/fcitx/fcitx"
+if [[ "${PV}" =~ (^|\.)9999$ ]]; then
+ SRC_URI="https://download.fcitx-im.org/data/pinyin.tar.gz -> fcitx-data-pinyin.tar.gz
+ https://download.fcitx-im.org/data/table.tar.gz -> fcitx-data-table.tar.gz
+ https://download.fcitx-im.org/data/py_stroke-20121124.tar.gz -> fcitx-data-py_stroke-20121124.tar.gz
+ https://download.fcitx-im.org/data/py_table-20121124.tar.gz -> fcitx-data-py_table-20121124.tar.gz
+ https://download.fcitx-im.org/data/en_dict-20121020.tar.gz -> fcitx-data-en_dict-20121020.tar.gz"
+else
+ SRC_URI="https://download.fcitx-im.org/${PN}/${P}_dict.tar.xz"
+fi
+
+LICENSE="BSD-1 GPL-2+ LGPL-2+ MIT"
+SLOT="4"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="+X +autostart +cairo debug +enchant gtk2 +gtk3 +introspection lua nls opencc +pango qt4 static-libs +table test +xml"
+REQUIRED_USE="cairo? ( X ) pango? ( cairo ) qt4? ( X )"
+
+RDEPEND="dev-libs/glib:2
+ sys-apps/dbus
+ sys-apps/util-linux
+ virtual/libiconv
+ virtual/libintl
+ x11-libs/libxkbcommon
+ X? (
+ x11-libs/libX11
+ x11-libs/libXfixes
+ x11-libs/libXinerama
+ x11-libs/libXrender
+ xml? (
+ x11-libs/libxkbfile
+ x11-misc/xkeyboard-config
+ )
+ )
+ cairo? (
+ x11-libs/cairo[X]
+ x11-libs/libXext
+ pango? ( x11-libs/pango )
+ !pango? ( media-libs/fontconfig )
+ )
+ enchant? ( app-text/enchant:0= )
+ gtk2? ( x11-libs/gtk+:2 )
+ gtk3? ( x11-libs/gtk+:3 )
+ introspection? ( dev-libs/gobject-introspection )
+ lua? ( dev-lang/lua:= )
+ nls? ( sys-devel/gettext )
+ opencc? ( app-i18n/opencc:= )
+ qt4? (
+ dev-qt/qtcore:4
+ dev-qt/qtdbus:4
+ dev-qt/qtgui:4
+ )
+ xml? (
+ app-text/iso-codes
+ dev-libs/libxml2
+ )"
+DEPEND="${RDEPEND}
+ kde-frameworks/extra-cmake-modules:5
+ virtual/pkgconfig"
+
+DOCS=(AUTHORS ChangeLog THANKS)
+
+src_prepare() {
+ if [[ "${PV}" =~ (^|\.)9999$ ]]; then
+ ln -s "${DISTDIR}/fcitx-data-pinyin.tar.gz" src/im/pinyin/data/pinyin.tar.gz || die
+ ln -s "${DISTDIR}/fcitx-data-table.tar.gz" src/im/table/data/table.tar.gz || die
+ ln -s "${DISTDIR}/fcitx-data-py_stroke-20121124.tar.gz" src/module/pinyin-enhance/data/py_stroke-20121124.tar.gz || die
+ ln -s "${DISTDIR}/fcitx-data-py_table-20121124.tar.gz" src/module/pinyin-enhance/data/py_table-20121124.tar.gz || die
+ ln -s "${DISTDIR}/fcitx-data-en_dict-20121020.tar.gz" src/module/spell/dict/en_dict-20121020.tar.gz || die
+ fi
+
+ # https://github.com/fcitx/fcitx/issues/250
+ sed \
+ -e "/find_package(XkbFile REQUIRED)/i\\ if(ENABLE_X11)" \
+ -e "/find_package(XkbFile REQUIRED)/s/^/ /" \
+ -e "/find_package(XkbFile REQUIRED)/a\\ find_package(XKeyboardConfig REQUIRED)\n endif(ENABLE_X11)" \
+ -e "/^find_package(XKeyboardConfig REQUIRED)/,+1d" \
+ -i CMakeLists.txt
+
+ cmake-utils_src_prepare
+ xdg_environment_reset
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DLIB_INSTALL_DIR="${EPREFIX}/usr/$(get_libdir)"
+ -DSYSCONFDIR="${EPREFIX}/etc"
+ -DENABLE_CAIRO=$(usex cairo)
+ -DENABLE_DEBUG=$(usex debug)
+ -DENABLE_ENCHANT=$(usex enchant)
+ -DENABLE_GETTEXT=$(usex nls)
+ -DENABLE_GIR=$(usex introspection)
+ -DENABLE_GTK2_IM_MODULE=$(usex gtk2)
+ -DENABLE_GTK3_IM_MODULE=$(usex gtk3)
+ -DENABLE_LIBXML2=$(usex xml)
+ -DENABLE_LUA=$(usex lua)
+ -DENABLE_OPENCC=$(usex opencc)
+ -DENABLE_PANGO=$(usex pango)
+ -DENABLE_QT=$(usex qt4)
+ -DENABLE_QT_GUI=$(usex qt4)
+ -DENABLE_QT_IM_MODULE=$(usex qt4)
+ -DENABLE_SNOOPER=$(if use gtk2 || use gtk3; then echo yes; else echo no; fi)
+ -DENABLE_STATIC=$(usex static-libs)
+ -DENABLE_TABLE=$(usex table)
+ -DENABLE_TEST=$(usex test)
+ -DENABLE_X11=$(usex X)
+ -DENABLE_XDGAUTOSTART=$(usex autostart)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ rm -r "${ED}usr/share/doc/${PN}"
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ use gtk2 && gnome2_query_immodules_gtk2
+ use gtk3 && gnome2_query_immodules_gtk3
+
+ elog
+ elog "Quick Phrase Editor is provided by:"
+ elog " app-i18n/fcitx-qt5:4"
+ elog
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ use gtk2 && gnome2_query_immodules_gtk2
+ use gtk3 && gnome2_query_immodules_gtk3
+}